var app = require('express')();
var http = require('http').Server(app);
var io = require('socket.io')(http);
var ReverseMd5 = require('reverse-md5')
var rev = ReverseMd5({
	lettersUpper: true,
	lettersLower: true,
	numbers: true,
	special: false,
	whitespace: true,
	maxLen: 12
})
app.get('/',function(req,res) {
    res.sendFile(__dirname+'/test.html');
});

io.on('connection',function(socket){
    console.log('user connected');
    socket.on('disconnect',function(){
        console.log('user is disconnected !');
    });
    socket.on('decrypt',function(msg){
        //console.log('message result:::: '+rev(msg));
        console.log('result '+msg);
        io.emit('decrypt',msg);
    });
})
http.listen(3000, function(){
    console.log('server running on 3000');
});
